<?php

namespace FiloBlu\Cegid\Api\Data;

/**
 * Interface SellerInterface
 * @package FiloBlu\Cegid\Api\Data
 */
interface SellerInterface {

    /**
     * @return string
     */
    public function getCegidId();

    /**
     * @return  string
     */
    public function getNickName();

    /**
     * @return string
     */
    public function getShopCode();

    /**
     * @param string $cegidId
     * @return $this
     */
    public function setCegidId($cegidId);

    /**
     * @param string $nickName
     * @return $this
     */
    public function setNickName($nickName);

    /**
     * @param string $storeCode
     * @return $this
     */
    public function setShopCode($storeCode);
}